Index: /branches/rel_avx_2_7_5/avx_cli.spec
===================================================================
--- /branches/rel_avx_2_7_5/avx_cli.spec	(revision 9237)
+++ /branches/rel_avx_2_7_5/avx_cli.spec	(working copy)
@@ -127,9 +127,12 @@
 
 install -Dm 0644 conf/cron.d/avxd-check %{buildroot}/etc/cron.d/
 install -Dm 0644 conf/cron.d/pingGateway %{buildroot}/etc/cron.d/
+install -Dm 0644 conf/journald.conf %{buildroot}/ca/etc
 install -Dm 0755 scripts/check_avxd.sh %{buildroot}/ca/bin/
 install -Dm 0755 scripts/ping_gw.sh %{buildroot}/ca/bin/
 install -Dm 0755 scripts/kdump_cleanup.sh %{buildroot}/ca/bin/
+install -Dm 0755 scripts/power_info_cleanup.sh %{buildroot}/ca/bin/
+install -Dm 0755 scripts/get_power_info.sh %{buildroot}/ca/bin/
 install -Dm 0755 scripts/ssmtp_config.pl %{buildroot}/ca/bin/
 install -Dm 0755 scripts/msmtp_config.pl %{buildroot}/ca/bin/
 install -Dm 0755 src/backend/backend %{buildroot}/ca/bin/
@@ -245,6 +248,8 @@
 install -Dm 0644 conf/system/login %{buildroot}/ca/conf/system/login
 install -Dm 0644 conf/cron.d/sysstat %{buildroot}/ca/conf/cron.d/sysstat
 install -Dm 0644 conf/cron.d/kdump_cleanup %{buildroot}/ca/conf/cron.d/kdump_cleanup
+install -Dm 0644 conf/cron.d/power_info_cleanup %{buildroot}/ca/conf/cron.d/power_info_cleanup
+install -Dm 0644 conf/cron.d/run_power_info %{buildroot}/ca/conf/cron.d/run_power_info
 install -Dm 0644 conf/bonding/ifcfg-template %{buildroot}/ca/conf/bonding/ifcfg-template
 install -Dm 0644 conf/bonding/avxbond.info %{buildroot}/ca/conf/bonding/avxbond.info
 install -Dm 0644 conf/bonding/avxbond.info %{buildroot}/ca/conf/bonding/avxbond.info.sample
@@ -348,6 +353,8 @@
 %attr (755,root,root)/ca/bin/check_avxd.sh
 %attr (755,root,root)/ca/bin/ping_gw.sh
 %attr (755,root,root)/ca/bin/kdump_cleanup.sh
+%attr (755,root,root)/ca/bin/power_info_cleanup.sh
+%attr (755,root,root)/ca/bin/get_power_info.sh
 %attr (755,root,root)/ca/bin/ssmtp_config.pl
 %attr (755,root,root)/ca/bin/msmtp_config.pl
 %attr (755,root,root)/ca/bin/avxupdate
@@ -400,6 +407,7 @@
 %attr (755,root,root)/ca/bin/ssh-regenkey.sh
 %attr (755,root,root)/usr/sbin/dpdk_nic_bind.py
 %attr (644,root,root)/ca/etc/click_pub_cert.pem
+%attr (644,root,root)/ca/etc/journald.conf
 %attr (644,root,root)/ca/etc/click_priv_key.pem
 %attr (644,root,root)/ca/conf/version
 %attr (644,root,root)/ca/etc/gnupg_homedir.tgz
@@ -451,6 +459,8 @@
 %attr (644,root,root)/ca/conf/system/avxdpdk.info.9900
 %attr (644,root,root)/ca/conf/cron.d/sysstat
 %attr (644,root,root)/ca/conf/cron.d/kdump_cleanup
+%attr (644,root,root)/ca/conf/cron.d/power_info_cleanup
+%attr (644,root,root)/ca/conf/cron.d/run_power_info
 %attr (755,root,root)/ca/bin/arrayNetworks.so
 %attr (644,root,root)%{_unitdir}/backend.service
 %attr (644,root,root)%{_unitdir}/avxd.service
Index: /branches/rel_avx_2_7_5/conf/cron.d/power_info_cleanup
===================================================================
--- /branches/rel_avx_2_7_5/conf/cron.d/power_info_cleanup	(revision 0)
+++ /branches/rel_avx_2_7_5/conf/cron.d/power_info_cleanup	(working copy)
@@ -0,0 +1 @@
+* * * * * root  /ca/bin/power_info_cleanup.sh
Index: /branches/rel_avx_2_7_5/conf/cron.d/run_power_info
===================================================================
--- /branches/rel_avx_2_7_5/conf/cron.d/run_power_info	(revision 0)
+++ /branches/rel_avx_2_7_5/conf/cron.d/run_power_info	(working copy)
@@ -0,0 +1 @@
+@reboot root sleep 120 && /ca/bin/get_power_info.sh -run
Index: /branches/rel_avx_2_7_5/conf/journald.conf
===================================================================
--- /branches/rel_avx_2_7_5/conf/journald.conf	(revision 0)
+++ /branches/rel_avx_2_7_5/conf/journald.conf	(working copy)
@@ -0,0 +1,46 @@
+#  This file is part of systemd.
+#
+#  systemd is free software; you can redistribute it and/or modify it
+#  under the terms of the GNU Lesser General Public License as published by
+#  the Free Software Foundation; either version 2.1 of the License, or
+#  (at your option) any later version.
+#
+# Entries in this file show the compile time defaults.
+# You can change settings by editing this file.
+# Defaults can be restored by simply deleting this file.
+#
+# See journald.conf(5) for details.
+
+[Journal]
+#Storage=auto
+#Compress=yes
+#Seal=yes
+#SplitMode=uid
+#SyncIntervalSec=5m
+#RateLimitInterval=30s
+#RateLimitBurst=1000
+#SystemMaxUse=
+#SystemKeepFree=
+#SystemMaxFileSize=
+#RuntimeMaxUse=
+#RuntimeKeepFree=
+#RuntimeMaxFileSize=
+#MaxRetentionSec=
+#MaxFileSec=1month
+#ForwardToSyslog=no
+#ForwardToKMsg=no
+#ForwardToConsole=no
+ForwardToWall=no
+#TTYPath=/dev/console
+#MaxLevelStore=debug
+#MaxLevelSyslog=debug
+#MaxLevelKMsg=notice
+#MaxLevelConsole=info
+#MaxLevelWall=emerg
+Storage=persistent
+MaxRetentionSec=31536000
+SystemMaxUse=8G
+SystemMaxFileSize=512M
+RateLimitInterval=0
+SyncIntervalSec=2min
+SplitMode=none
Index: /branches/rel_avx_2_7_5/scripts/get_power_info.sh
===================================================================
--- /branches/rel_avx_2_7_5/scripts/get_power_info.sh	(revision 0)
+++ /branches/rel_avx_2_7_5/scripts/get_power_info.sh	(working copy)
@@ -0,0 +1,42 @@
+#!/bin/bash
+
+
+PID_FILE="/var/run/get_power_info.pid"
+LOG_DIR="/var/crash/"
+get_log_file() {
+    date +"$LOG_DIR/power_info_%Y-%m-%d.log"
+}
+
+case "$1" in
+    -run)
+        if [ -f "$PID_FILE" ]; then
+            echo "Already running (PID=$(cat $PID_FILE))"
+            exit 1
+        fi
+        echo "Starting..."
+        (
+            while true; do
+                log_file=$(get_log_file)
+                date >> $log_file
+                ipmitool sdr type 0x08 >> $log_file
+                echo "" >> $log_file
+                echo "----------" >> $log_file
+                sleep 1
+            done
+        ) &
+        echo $! > "$PID_FILE"
+        echo "Started with PID $(cat $PID_FILE)"
+        ;;
+    -stop)
+        if [ -f "$PID_FILE" ]; then
+            kill "$(cat $PID_FILE)" && rm -f "$PID_FILE"
+            echo "Stopped."
+        else
+            echo "Not running."
+        fi
+        ;;
+    *)
+        echo "Usage: $0 {-run|-stop}"
+        ;;
+esac
+
Index: /branches/rel_avx_2_7_5/scripts/power_info_cleanup.sh
===================================================================
--- /branches/rel_avx_2_7_5/scripts/power_info_cleanup.sh	(revision 0)
+++ /branches/rel_avx_2_7_5/scripts/power_info_cleanup.sh	(working copy)
@@ -0,0 +1,8 @@
+#!/bin/bash
+# Keep only the latest 3 power supply info
+
+LOG_DIR="/var/crash"
+cd "$LOG_DIR" || exit 0
+
+# Remove older power info files, keep newest 3
+ls -1dt power_info_* | tail -n +4 | xargs -r rm -rf
Index: /branches/rel_avx_2_7_5/src/backend/sys_cmd.c
===================================================================
--- /branches/rel_avx_2_7_5/src/backend/sys_cmd.c	(revision 9237)
+++ /branches/rel_avx_2_7_5/src/backend/sys_cmd.c	(working copy)
@@ -806,6 +806,8 @@
 	"free -h >> "SNAP_PATH"/system",
 	"/ca/bin/printovs.py >> "SNAP_PATH"/system",
 	"dmesg >> "SNAP_PATH"/system",
+	"printf  \"\njournalctl -b -1 -k\n\" >> "SNAP_PATH"/system",
+        "journalctl -b -1 -k >> "SNAP_PATH"/system",
 	"cp -f /var/log/wtmp* "SNAP_PATH,
 	"cp -f /var/log/avxd* "SNAP_PATH,
 	"cp -f /var/log/messages* "SNAP_PATH,
